import {
  stringHashFNV1a
} from "./chunk-NSJKG6AJ.js";

// src/common/data/string-hash-pool.ts
function useStringHashPool() {
  const hashToString = /* @__PURE__ */ new Map();
  const stringToHash = /* @__PURE__ */ new Map();
  function hash(s) {
    let v = stringToHash.get(s);
    if (v == null) {
      v = stringHashFNV1a(s);
      if (hashToString.has(v))
        throw new Error(`Hash for '${s}' is already in use for '${hashToString.get(v)}`);
      hashToString.set(v, s);
      stringToHash.set(s, v);
    }
    return v;
  }
  function stringForHash(v) {
    return hashToString.get(v);
  }
  return {
    hash,
    stringForHash
  };
}

export {
  useStringHashPool
};
//# sourceMappingURL=chunk-2H4XRKWS.js.map