"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _chunkVAG3XY63cjs = require('./chunk-VAG3XY63.cjs');


var _chunkHHZVPIBDcjs = require('./chunk-HHZVPIBD.cjs');


var _chunkYY4AHBBLcjs = require('./chunk-YY4AHBBL.cjs');

// src/node/fs.ts
var _promises = require('fs/promises');
var _path = require('path');
var _process = require('process'); var _process2 = _interopRequireDefault(_process);
function toHumanReadableFilePath(path) {
  const p = _path.normalize.call(void 0, path);
  const h = _process2.default.env.HOME;
  if (h && p.startsWith(h))
    return `~${p.slice(h.length)}`;
  return p;
}
async function exists(path) {
  try {
    await _promises.stat.call(void 0, path);
  } catch (err) {
    return false;
  }
  return true;
}
function isHiddenPath(path) {
  return path.startsWith(".") || path.includes("/.");
}
async function ensureFolder(...parts) {
  const path = _path.join.call(void 0, ...parts);
  if (!await exists(path))
    await _promises.mkdir.call(void 0, path, { recursive: true });
  return path;
}
async function ensureFolderForFile(...parts) {
  const path = _path.dirname.call(void 0, _path.join.call(void 0, ...parts));
  if (!await exists(path))
    await _promises.mkdir.call(void 0, path, { recursive: true });
  return path;
}
async function removeFolder(...parts) {
  const path = _path.join.call(void 0, ...parts);
  if (await exists(path))
    await _promises.rm.call(void 0, path, { recursive: true });
  return path;
}
async function readText(...parts) {
  const path = _path.join.call(void 0, ...parts);
  if (await exists(path))
    return await _promises.readFile.call(void 0, path, "utf-8");
}
async function readJson(...parts) {
  const content = await readText(...parts);
  if (content != null) {
    try {
      return JSON.parse(content);
    } catch (err) {
    }
  }
}
async function readBin(...parts) {
  const path = _path.join.call(void 0, ...parts);
  if (await exists(path))
    return _chunkHHZVPIBDcjs.toUint8Array.call(void 0, await _promises.readFile.call(void 0, path));
}
async function readData(...parts) {
  const path = _path.join.call(void 0, ...parts);
  if (await exists(path))
    return await _promises.readFile.call(void 0, path);
}
async function writeText(path, content, createFolders = false) {
  if (createFolders)
    await ensureFolderForFile(path);
  await _promises.writeFile.call(void 0, path, content, "utf-8");
}
async function writeData(path, content, createFolders = false) {
  if (createFolders)
    await ensureFolderForFile(path);
  const data = _chunkVAG3XY63cjs.isUint8Array.call(void 0, content) ? content : JSON.stringify(content);
  await _promises.writeFile.call(void 0, path, data);
}
async function writeBin(path, content, info = {}) {
  const { createFolders = false } = info;
  if (createFolders)
    await ensureFolderForFile(path);
  await _promises.writeFile.call(void 0, path, content);
}
async function writeJson(path, content, info = {}) {
  const { createFolders = false, pretty = false } = info;
  await writeText(path, _chunkYY4AHBBLcjs.jsonStringifySorted.call(void 0, content, pretty ? 2 : void 0), createFolders);
}
















exports.toHumanReadableFilePath = toHumanReadableFilePath; exports.exists = exists; exports.isHiddenPath = isHiddenPath; exports.ensureFolder = ensureFolder; exports.ensureFolderForFile = ensureFolderForFile; exports.removeFolder = removeFolder; exports.readText = readText; exports.readJson = readJson; exports.readBin = readBin; exports.readData = readData; exports.writeText = writeText; exports.writeData = writeData; exports.writeBin = writeBin; exports.writeJson = writeJson;
//# sourceMappingURL=chunk-DFNQQYCU.cjs.map