// src/common/bin/lib0/string.ts
function toLowerCase(s) {
  return s.toLowerCase();
}
var trimLeftRegex = /^\s*/g;
function trimLeft(s) {
  return s.replace(trimLeftRegex, "");
}
var fromCamelCaseRegex = /([A-Z])/g;
function fromCamelCase(s, separator) {
  return trimLeft(s.replace(fromCamelCaseRegex, (match) => `${separator}${toLowerCase(match)}`));
}
function utf8ByteLength(str) {
  return unescape(encodeURIComponent(str)).length;
}
function _encodeUtf8Polyfill(str) {
  const encodedString = unescape(encodeURIComponent(str));
  const len = encodedString.length;
  const buf = new Uint8Array(len);
  for (let i = 0; i < len; i++)
    buf[i] = encodedString.codePointAt(i);
  return buf;
}
var utf8TextEncoder;
function getUtf8TextEncoder() {
  if (utf8TextEncoder === void 0)
    utf8TextEncoder = typeof TextEncoder !== "undefined" ? new TextEncoder() : null;
  return utf8TextEncoder;
}
function encodeUtf8(str) {
  return getUtf8TextEncoder() ? utf8TextEncoder.encode(str) : _encodeUtf8Polyfill(str);
}
function _decodeUtf8Polyfill(buf) {
  let remainingLen = buf.length;
  let encodedString = "";
  let bufPos = 0;
  while (remainingLen > 0) {
    const nextLen = remainingLen < 1e4 ? remainingLen : 1e4;
    const bytes = buf.subarray(bufPos, bufPos + nextLen);
    bufPos += nextLen;
    encodedString += String.fromCodePoint.apply(null, bytes);
    remainingLen -= nextLen;
  }
  return decodeURIComponent(escape(encodedString));
}
var utf8TextDecoder;
function getUtf8TextDecoder() {
  if (utf8TextDecoder === void 0) {
    utf8TextDecoder = (typeof TextDecoder === "undefined" ? null : new TextDecoder("utf-8", { fatal: true, ignoreBOM: true })) ?? null;
    if (utf8TextDecoder && utf8TextDecoder.decode(new Uint8Array()).length === 1) {
      utf8TextDecoder = null;
    }
  }
  return utf8TextDecoder;
}
function decodeUtf8(buf) {
  return getUtf8TextDecoder() ? utf8TextDecoder.decode(buf) : _decodeUtf8Polyfill(buf);
}
function splice(str, index, remove, insert = "") {
  return str.slice(0, index) + insert + str.slice(index + remove);
}

export {
  trimLeft,
  fromCamelCase,
  utf8ByteLength,
  _encodeUtf8Polyfill,
  getUtf8TextEncoder,
  encodeUtf8,
  getUtf8TextDecoder,
  decodeUtf8,
  splice
};
//# sourceMappingURL=chunk-GKKLBSFA.js.map