// src/node/crypto.ts
import nodeCrypto from "node:crypto";
function setupWebCrypto() {
  try {
    if (typeof globalThis !== "undefined" && typeof globalThis.crypto === "undefined" && nodeCrypto && nodeCrypto.webcrypto) {
      globalThis.crypto = nodeCrypto.webcrypto;
    }
  } catch (err) {
    console.warn("Failed to polyfill webcrypto", err);
  }
}
async function getWebCrypto() {
  if (globalThis.crypto == null) {
    try {
      if (typeof globalThis !== "undefined" && typeof globalThis.crypto === "undefined") {
        const nodeCrypto2 = await import("node:crypto");
        globalThis.crypto = nodeCrypto2.webcrypto;
      }
    } catch (err) {
      console.warn("Failed to polyfill webcrypto", err);
    }
  }
  return globalThis.crypto;
}

export {
  setupWebCrypto,
  getWebCrypto
};
//# sourceMappingURL=chunk-OAX7VTHL.js.map