import {
  decrypt,
  encrypt
} from "./chunk-RSLTBO5X.js";
import {
  Uint8ArrayToJson,
  jsonToUint8Array
} from "./chunk-EJGW3W3K.js";

// src/common/msg/encoder.ts
var NoopEncoder = class {
  async encode(data) {
    return data;
  }
  async decode(data) {
    return data;
  }
};
var JsonEncoder = class {
  async encode(data) {
    return jsonToUint8Array(data);
  }
  async decode(data) {
    return Uint8ArrayToJson(data);
  }
};
var CryptoEncoder = class {
  constructor(key) {
    this.key = key;
  }
  async encode(data) {
    const plain = jsonToUint8Array(data);
    return await encrypt(plain, this.key);
  }
  async decode(data) {
    const plain = await decrypt(data, this.key);
    return Uint8ArrayToJson(plain);
  }
};

export {
  NoopEncoder,
  JsonEncoder,
  CryptoEncoder
};
//# sourceMappingURL=chunk-VBSEGKT7.js.map