import "../chunk-UVCEAJ4D.js";
import "../chunk-UMUHNSGZ.js";
import "../chunk-XBO3LADP.js";
import "../chunk-JY67VEDO.js";
import "../chunk-DVBRAJ3X.js";
import "../chunk-UXCQ43AH.js";
import "../chunk-GKKLBSFA.js";
import "../chunk-RNL46FQ3.js";
import "../chunk-MWUFUBY5.js";
import "../chunk-FLFB2K34.js";
import "../chunk-264HKVNG.js";
import "../chunk-H2GCNFWS.js";
import "../chunk-AJCIHTGI.js";
import "../chunk-HST4VI64.js";
import "../chunk-A7SUGWC3.js";
import "../chunk-M6NJWFDP.js";
import "../chunk-6B24OWYC.js";
import "../chunk-KDP637GO.js";
import "../chunk-A4L4FO52.js";
import "../chunk-NEEIRLS6.js";
import "../chunk-WZDTE5W3.js";
import "../chunk-VBSEGKT7.js";
import "../chunk-Q3QHD23G.js";
import "../chunk-CYDFP47V.js";
import "../chunk-URTIMVUU.js";
import "../chunk-DXM327S3.js";
import "../chunk-2VA3UGW7.js";
import "../chunk-5OVSRAPG.js";
import "../chunk-NLNCD3ES.js";
import "../chunk-BMLTMNZA.js";
import "../chunk-7QYVSWCZ.js";
import "../chunk-VI7IQ5ZG.js";
import "../chunk-TSCDX4AS.js";
import "../chunk-AN7WCP7S.js";
import "../chunk-D6B6MYVG.js";
import {
  DefaultLogger
} from "../chunk-2DAGZ4FT.js";
import "../chunk-3MLDC2KV.js";
import "../chunk-7G6NITL4.js";
import {
  decrypt,
  deriveKeyPbkdf2,
  digest,
  encrypt,
  randomUint8Array
} from "../chunk-RSLTBO5X.js";
import "../chunk-I45WP5PM.js";
import "../chunk-MIZOLME5.js";
import "../chunk-AKLYUMQO.js";
import "../chunk-YX6CL4KH.js";
import "../chunk-ZFRTRIT4.js";
import "../chunk-CFICINSP.js";
import "../chunk-3KKFLSLG.js";
import "../chunk-PLBFBDKH.js";
import "../chunk-2H4XRKWS.js";
import "../chunk-WJUQ3VXF.js";
import "../chunk-O4GTSXBN.js";
import "../chunk-2OUSR2BE.js";
import "../chunk-ZDZ4EQHN.js";
import "../chunk-PZP2B3FC.js";
import "../chunk-NSJKG6AJ.js";
import "../chunk-XHPHUZE4.js";
import "../chunk-NRGUBMFA.js";
import "../chunk-H564H42Z.js";
import "../chunk-PE4JT3J7.js";
import "../chunk-FL5CT6MC.js";
import "../chunk-2HWPZ6ZE.js";
import "../chunk-LAWEUL6N.js";
import "../chunk-V5ZQ2SFQ.js";
import "../chunk-DGP32WEQ.js";
import "../chunk-EDNCPFSF.js";
import "../chunk-73CVRDI7.js";
import "../chunk-3KQS63H6.js";
import "../chunk-C7K2ID3C.js";
import "../chunk-L324TYGN.js";
import "../chunk-5DS3NT57.js";
import "../chunk-HLRQ5H3N.js";
import "../chunk-UO7L7NBK.js";
import "../chunk-QUQRUDWG.js";
import "../chunk-ITJJZ6AV.js";
import "../chunk-QUKKMPRF.js";
import "../chunk-GY34N3KU.js";
import "../chunk-X56GIAWQ.js";
import "../chunk-PN34O4SN.js";
import "../chunk-UOAPXGA4.js";
import "../chunk-HJ22ULAI.js";
import {
  equalBinary,
  toHex
} from "../chunk-EJGW3W3K.js";
import "../chunk-EAYWSLQT.js";
import "../chunk-I7BWSAN6.js";

// src/common/crypto.spec.ts
var log = DefaultLogger("crypto.spec");
describe("crypto", () => {
  it("should not have collisions", () => {
    expect(equalBinary(new Uint8Array(2), new Uint8Array([0, 0]))).toBe(true);
    const list = Array.apply(null, Array(100)).map(
      () => randomUint8Array(8)
    );
    let id;
    while (id = list.pop()) {
      expect(equalBinary(id, new Uint8Array([0, 0, 0, 0, 0, 0, 0, 0]))).toBe(
        false
      );
      expect(id?.length).toBe(8);
      expect(list).not.toContain(id);
    }
  });
  it("should digest", async () => {
    expect(toHex(await digest("abc"))).toBe(
      "ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad"
    );
    expect(await digest(new Uint8Array([1, 2, 3]))).toMatchInlineSnapshot(`
Uint8Array [
  3,
  144,
  88,
  198,
  242,
  192,
  203,
  73,
  44,
  83,
  59,
  10,
  77,
  20,
  239,
  119,
  204,
  15,
  120,
  171,
  204,
  206,
  213,
  40,
  125,
  132,
  161,
  162,
  1,
  28,
  251,
  129,
]
`);
  });
  it("should raw crypt", async () => {
    const key = await deriveKeyPbkdf2(new Uint8Array([1, 2, 3]), {
      salt: new Uint8Array([1, 2, 3])
    });
    const sample = new Uint8Array([9, 8, 7, 6, 5, 4, 3, 2, 1, 0]);
    const cipher = await encrypt(sample, key);
    const bin = await decrypt(cipher, key);
    expect(equalBinary(sample, bin)).toBe(true);
    const binFix = await decrypt(
      new Uint8Array([
        1,
        1,
        27,
        108,
        252,
        31,
        238,
        192,
        61,
        168,
        45,
        29,
        128,
        212,
        215,
        222,
        205,
        105,
        178,
        193,
        150,
        36,
        24,
        216,
        180,
        75,
        168,
        133,
        37,
        25,
        124,
        137,
        221,
        103,
        214,
        97,
        218,
        232,
        248,
        93
      ]),
      key
    );
    expect(binFix).toEqual(sample);
  });
});
//# sourceMappingURL=crypto.spec.js.map