import "../../chunk-KDP637GO.js";
import "../../chunk-A4L4FO52.js";
import "../../chunk-NEEIRLS6.js";
import "../../chunk-WZDTE5W3.js";
import "../../chunk-VBSEGKT7.js";
import "../../chunk-Q3QHD23G.js";
import "../../chunk-CYDFP47V.js";
import "../../chunk-URTIMVUU.js";
import "../../chunk-DXM327S3.js";
import "../../chunk-2VA3UGW7.js";
import "../../chunk-5OVSRAPG.js";
import "../../chunk-NLNCD3ES.js";
import "../../chunk-BMLTMNZA.js";
import "../../chunk-7QYVSWCZ.js";
import "../../chunk-VI7IQ5ZG.js";
import "../../chunk-TSCDX4AS.js";
import "../../chunk-AN7WCP7S.js";
import "../../chunk-D6B6MYVG.js";
import "../../chunk-2DAGZ4FT.js";
import "../../chunk-3MLDC2KV.js";
import "../../chunk-7G6NITL4.js";
import "../../chunk-RSLTBO5X.js";
import "../../chunk-I45WP5PM.js";
import "../../chunk-MIZOLME5.js";
import "../../chunk-AKLYUMQO.js";
import "../../chunk-YX6CL4KH.js";
import "../../chunk-ZFRTRIT4.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-3KKFLSLG.js";
import "../../chunk-PLBFBDKH.js";
import "../../chunk-2H4XRKWS.js";
import "../../chunk-WJUQ3VXF.js";
import "../../chunk-O4GTSXBN.js";
import "../../chunk-2OUSR2BE.js";
import "../../chunk-ZDZ4EQHN.js";
import "../../chunk-PZP2B3FC.js";
import "../../chunk-NSJKG6AJ.js";
import "../../chunk-XHPHUZE4.js";
import "../../chunk-NRGUBMFA.js";
import "../../chunk-H564H42Z.js";
import "../../chunk-PE4JT3J7.js";
import "../../chunk-FL5CT6MC.js";
import "../../chunk-2HWPZ6ZE.js";
import "../../chunk-LAWEUL6N.js";
import "../../chunk-V5ZQ2SFQ.js";
import "../../chunk-DGP32WEQ.js";
import "../../chunk-EDNCPFSF.js";
import "../../chunk-73CVRDI7.js";
import "../../chunk-3KQS63H6.js";
import "../../chunk-C7K2ID3C.js";
import {
  sleep
} from "../../chunk-L324TYGN.js";
import "../../chunk-5DS3NT57.js";
import "../../chunk-HLRQ5H3N.js";
import "../../chunk-UO7L7NBK.js";
import "../../chunk-QUQRUDWG.js";
import "../../chunk-ITJJZ6AV.js";
import "../../chunk-QUKKMPRF.js";
import "../../chunk-GY34N3KU.js";
import "../../chunk-X56GIAWQ.js";
import "../../chunk-PN34O4SN.js";
import {
  cloneObject,
  empty,
  ensureKey,
  forTimes,
  memoize,
  memoizeAsync,
  size
} from "../../chunk-UOAPXGA4.js";
import "../../chunk-HJ22ULAI.js";
import "../../chunk-EJGW3W3K.js";
import "../../chunk-EAYWSLQT.js";
import "../../chunk-I7BWSAN6.js";

// src/common/data/utils.spec.ts
describe("cloneObject", () => {
  it("should clone only non primitives", () => {
    {
      const sample = "Test";
      expect(cloneObject(sample) === sample).toBe(true);
      expect(cloneObject(sample) === "Test").toBe(true);
    }
    {
      const sample = { hello: "world" };
      expect(cloneObject(sample) === sample).toBe(false);
      expect(cloneObject(sample)).toEqual(sample);
      expect(cloneObject(sample)).toEqual({ hello: "world" });
    }
  });
});
describe("size", () => {
  it("should calc size of map", () => {
    const map = /* @__PURE__ */ new Map();
    map.set("a", 1);
    map.set("b", 2);
    expect(size(map)).toBe(2);
  });
  it("should calc size of set", () => {
    const set = /* @__PURE__ */ new Set();
    set.add(1);
    set.add(2);
    set.add(3);
    expect(size(set)).toBe(3);
  });
  it("should calc size of object", () => {
    expect(size({ a: 1, b: 2 })).toBe(2);
  });
  it("should calc size of array", () => {
    expect(size([1, 2, void 0])).toBe(3);
  });
  it("should calc size of primitives", () => {
    expect(size("hello")).toBe(5);
    expect(size(3)).toBe(0);
    expect(size(true)).toBe(0);
    expect(size(null)).toBe(0);
    expect(size(void 0)).toBe(0);
    expect(size(Number.NaN)).toBe(0);
  });
});
describe("empty", () => {
  it("should calc empty of map", () => {
    const map = /* @__PURE__ */ new Map();
    expect(empty(map)).toBe(true);
    map.set("a", 1);
    map.set("b", 2);
    expect(empty(map)).toBe(false);
  });
  it("should calc empty of set", () => {
    const set = /* @__PURE__ */ new Set();
    expect(empty(set)).toBe(true);
    set.add(1);
    set.add(2);
    set.add(3);
    expect(empty(set)).toBe(false);
  });
  it("should calc empty of object", () => {
    expect(empty({})).toBe(true);
    expect(empty({ a: 1, b: 2 })).toBe(false);
  });
  it("should calc empty of array", () => {
    expect(empty([])).toBe(true);
    expect(empty([void 0])).toBe(false);
    expect(empty([1, 2, void 0])).toBe(false);
  });
  it("should calc empty of primitives", () => {
    expect(empty("")).toBe(true);
    expect(empty("hello")).toBe(false);
    expect(empty(3)).toBe(true);
    expect(empty(0)).toBe(true);
    expect(empty(false)).toBe(true);
    expect(empty(true)).toBe(true);
    expect(empty(null)).toBe(true);
    expect(empty(void 0)).toBe(true);
    expect(empty(Number.NaN)).toBe(true);
  });
  it("should ensure key", () => {
    const rooms = {};
    ensureKey(rooms, "a", (r) => ({ r })).x = 1;
    expect(rooms).toMatchInlineSnapshot(`
      Object {
        "a": Object {
          "r": "a",
          "x": 1,
        },
      }
    `);
    ensureKey(rooms, "a", (r) => ({ r })).x += 10;
    expect(rooms).toMatchInlineSnapshot(`
      Object {
        "a": Object {
          "r": "a",
          "x": 11,
        },
      }
    `);
  });
  it("should repeat forTimes", () => {
    const l = [];
    forTimes(10, (...args) => l.push(args));
    expect(l).toMatchInlineSnapshot(`
      Array [
        Array [
          0,
          10,
        ],
        Array [
          1,
          10,
        ],
        Array [
          2,
          10,
        ],
        Array [
          3,
          10,
        ],
        Array [
          4,
          10,
        ],
        Array [
          5,
          10,
        ],
        Array [
          6,
          10,
        ],
        Array [
          7,
          10,
        ],
        Array [
          8,
          10,
        ],
        Array [
          9,
          10,
        ],
      ]
    `);
  });
  it("should memoize", () => {
    let ctr = 1;
    const fn = memoize((inc) => {
      ctr += inc;
      return ctr;
    });
    expect(fn(10)).toBe(11);
    expect(fn(10)).toBe(11);
    expect(fn(1)).toBe(12);
    expect(ctr).toBe(12);
  });
  it("should memoize async", async () => {
    let ctr = 1;
    const fn = memoizeAsync(async (inc) => {
      await sleep(10);
      ctr += inc;
      return ctr;
    });
    expect(await fn(10)).toBe(11);
    expect(await fn(10)).toBe(11);
    expect(await fn(1)).toBe(12);
    expect(ctr).toBe(12);
  });
});
//# sourceMappingURL=utils.spec.js.map