import "../chunk-KDP637GO.js";
import "../chunk-A4L4FO52.js";
import "../chunk-NEEIRLS6.js";
import "../chunk-WZDTE5W3.js";
import "../chunk-VBSEGKT7.js";
import "../chunk-Q3QHD23G.js";
import "../chunk-CYDFP47V.js";
import "../chunk-URTIMVUU.js";
import "../chunk-DXM327S3.js";
import "../chunk-2VA3UGW7.js";
import "../chunk-5OVSRAPG.js";
import "../chunk-NLNCD3ES.js";
import "../chunk-BMLTMNZA.js";
import "../chunk-7QYVSWCZ.js";
import "../chunk-VI7IQ5ZG.js";
import "../chunk-TSCDX4AS.js";
import "../chunk-AN7WCP7S.js";
import "../chunk-D6B6MYVG.js";
import "../chunk-2DAGZ4FT.js";
import "../chunk-3MLDC2KV.js";
import "../chunk-7G6NITL4.js";
import "../chunk-RSLTBO5X.js";
import "../chunk-I45WP5PM.js";
import "../chunk-MIZOLME5.js";
import "../chunk-AKLYUMQO.js";
import "../chunk-YX6CL4KH.js";
import {
  datetimeToLocal,
  datetimeToUTC,
  duration,
  parseDate
} from "../chunk-ZFRTRIT4.js";
import "../chunk-CFICINSP.js";
import "../chunk-3KKFLSLG.js";
import "../chunk-PLBFBDKH.js";
import "../chunk-2H4XRKWS.js";
import "../chunk-WJUQ3VXF.js";
import "../chunk-O4GTSXBN.js";
import "../chunk-2OUSR2BE.js";
import "../chunk-ZDZ4EQHN.js";
import "../chunk-PZP2B3FC.js";
import "../chunk-NSJKG6AJ.js";
import "../chunk-XHPHUZE4.js";
import "../chunk-NRGUBMFA.js";
import "../chunk-H564H42Z.js";
import "../chunk-PE4JT3J7.js";
import "../chunk-FL5CT6MC.js";
import "../chunk-2HWPZ6ZE.js";
import "../chunk-LAWEUL6N.js";
import "../chunk-V5ZQ2SFQ.js";
import "../chunk-DGP32WEQ.js";
import "../chunk-EDNCPFSF.js";
import "../chunk-73CVRDI7.js";
import "../chunk-3KQS63H6.js";
import "../chunk-C7K2ID3C.js";
import {
  sleep
} from "../chunk-L324TYGN.js";
import "../chunk-5DS3NT57.js";
import "../chunk-HLRQ5H3N.js";
import "../chunk-UO7L7NBK.js";
import "../chunk-QUQRUDWG.js";
import "../chunk-ITJJZ6AV.js";
import "../chunk-QUKKMPRF.js";
import "../chunk-GY34N3KU.js";
import "../chunk-X56GIAWQ.js";
import "../chunk-PN34O4SN.js";
import "../chunk-UOAPXGA4.js";
import "../chunk-HJ22ULAI.js";
import "../chunk-EJGW3W3K.js";
import "../chunk-EAYWSLQT.js";
import "../chunk-I7BWSAN6.js";

// src/common/time.spec.ts
describe("time.spec", () => {
  it("should measure", async () => {
    const getDuration = duration();
    await sleep(50);
    const elapsed = getDuration();
    expect(/\d+.\d\d ms/.test(elapsed)).toBe(true);
  });
  it("should parse valid date strings", () => {
    const date1 = parseDate("2022-01-01");
    const date2 = parseDate("2022-01-01T12:00:00");
    expect(date1).toEqual(new Date(2022, 0, 1, 12, 0));
    expect(date2).toEqual(/* @__PURE__ */ new Date("2022-01-01T12:00:00"));
  });
  it("should return undefined for invalid date strings", () => {
    const date = parseDate("invalid-date");
    expect(date).toBeUndefined();
  });
  it("should return the input date if it is already a Date object", () => {
    const inputDate = /* @__PURE__ */ new Date();
    const date = parseDate(inputDate);
    expect(date).toBe(inputDate);
  });
  it("should convert dates", () => {
    const dateLocal = /* @__PURE__ */ new Date("2022-01-01T12:00:00");
    expect(datetimeToLocal(datetimeToUTC(dateLocal))).toEqual(dateLocal);
  });
});
//# sourceMappingURL=time.spec.js.map