"use strict";



var _chunk4LQFWCWEcjs = require('../chunk-4LQFWCWE.cjs');
require('../chunk-DFNQQYCU.cjs');
require('../chunk-TZOPYZVR.cjs');
require('../chunk-CIEXVKGF.cjs');
require('../chunk-Q2SNIYQS.cjs');
require('../chunk-U3MYANOX.cjs');
require('../chunk-722F5YZW.cjs');
require('../chunk-UFTHLJFJ.cjs');
require('../chunk-N75O66ID.cjs');
require('../chunk-2UTQQDPY.cjs');
require('../chunk-SFUIGVPA.cjs');
require('../chunk-X23ZSPZC.cjs');
require('../chunk-3TNVJY4F.cjs');
require('../chunk-MJ7L4G3V.cjs');
require('../chunk-UB27HMP4.cjs');
require('../chunk-EZIDDVJG.cjs');
require('../chunk-WPWV7ZEM.cjs');
require('../chunk-H6AB4FMJ.cjs');
require('../chunk-QT3OZZO4.cjs');
require('../chunk-D5QVR2K4.cjs');
require('../chunk-PUXSFUR6.cjs');
require('../chunk-DW2WZVUB.cjs');
require('../chunk-AQHSLGFK.cjs');
require('../chunk-AG2W27IB.cjs');
require('../chunk-QLIFS36C.cjs');
require('../chunk-ODBA5SKE.cjs');
require('../chunk-HBGU4IMK.cjs');
require('../chunk-UJPWHP47.cjs');
require('../chunk-SYEV547Z.cjs');
require('../chunk-5G52PYZN.cjs');
require('../chunk-F2L2RVEN.cjs');
require('../chunk-7L2G4SFK.cjs');
require('../chunk-C5DWDWUS.cjs');
require('../chunk-XTDX3HZA.cjs');
require('../chunk-OOAMMLXY.cjs');
require('../chunk-4B2XCWGL.cjs');
require('../chunk-R6IDIY2L.cjs');
require('../chunk-5CIFX7O6.cjs');
require('../chunk-LXSY24WI.cjs');
require('../chunk-KMITBP74.cjs');
require('../chunk-7BMZYEWF.cjs');
require('../chunk-S4V3EGNS.cjs');
require('../chunk-N46W55MH.cjs');
require('../chunk-UKD65B23.cjs');
require('../chunk-Y6KPVUVD.cjs');
require('../chunk-J42M6DF3.cjs');
require('../chunk-L646RZQB.cjs');
require('../chunk-ZYPCVNSG.cjs');
require('../chunk-VFIICDKU.cjs');
require('../chunk-PDXKNB3S.cjs');
require('../chunk-XR7AMYN7.cjs');
require('../chunk-SLEHBFHV.cjs');
require('../chunk-KMMN6P2X.cjs');
require('../chunk-AGQV4BOO.cjs');
require('../chunk-LURLRIHI.cjs');
require('../chunk-67Q7IWIS.cjs');
require('../chunk-B4JXPT6I.cjs');
require('../chunk-KCBJGJ24.cjs');
require('../chunk-RPAQV2V5.cjs');
require('../chunk-SVJWXMAG.cjs');
require('../chunk-TFJRKEPC.cjs');
require('../chunk-MPD2DJAD.cjs');
require('../chunk-ZGKV237Z.cjs');
require('../chunk-7BEQHGH5.cjs');
require('../chunk-VAG3XY63.cjs');
require('../chunk-FEYF6QXS.cjs');
require('../chunk-SFVQNT7T.cjs');
require('../chunk-N7OUNPMM.cjs');
require('../chunk-Z4FNOCPD.cjs');
require('../chunk-GWXPD6I7.cjs');
require('../chunk-N5KTMDVO.cjs');
require('../chunk-B3U4FDQH.cjs');
require('../chunk-YELWQAMG.cjs');
require('../chunk-RHWKNEUH.cjs');
require('../chunk-DRU33ZUG.cjs');
require('../chunk-LHP7OTMV.cjs');
require('../chunk-5BF2LEAU.cjs');
require('../chunk-6T6PI6XG.cjs');
require('../chunk-TUWUD5A6.cjs');
require('../chunk-CUGOCLWN.cjs');
require('../chunk-W3WUDQIC.cjs');
require('../chunk-BXM45HLQ.cjs');
require('../chunk-HHZVPIBD.cjs');
require('../chunk-YY4AHBBL.cjs');
require('../chunk-IMCDDJAJ.cjs');

// src/node/files-async.spec.ts
describe("getStatAsync", () => {
  it("should return the stat object for a valid path", async () => {
    const path = __filename;
    const statObject = await _chunk4LQFWCWEcjs.getStatAsync.call(void 0, path);
    expect(statObject).toBeDefined();
    expect(statObject.isFile()).toBe(true);
  });
  it("should return undefined for an invalid path", async () => {
    const path = "/invalid/path";
    const statObject = await _chunk4LQFWCWEcjs.getStatAsync.call(void 0, path);
    expect(statObject).toBeUndefined();
  });
  it("should return the fingerprint for a valid path", async () => {
    const path = __filename;
    const fingerprint = await _chunk4LQFWCWEcjs.getFingerprintAsync.call(void 0, path);
    expect(fingerprint).toBeDefined();
    expect(typeof fingerprint).toBe("string");
  });
  it("should return undefined for an invalid path 2", async () => {
    const path = "/invalid/path";
    const fingerprint = await _chunk4LQFWCWEcjs.getFingerprintAsync.call(void 0, path);
    expect(fingerprint).toBeUndefined();
  });
  it("should return an array of file paths", async () => {
    const paths = await _chunk4LQFWCWEcjs.filesAsync.call(void 0, { basePath: __dirname });
    expect(Array.isArray(paths)).toBe(true);
    expect(paths.length).toBeGreaterThan(0);
    expect(typeof paths[0]).toBe("string");
  });
  it("should return an array of file paths matching the pattern", async () => {
    const pattern = "*.ts";
    const paths = await _chunk4LQFWCWEcjs.filesAsync.call(void 0, { basePath: __dirname, pattern });
    expect(Array.isArray(paths)).toBe(true);
    expect(paths.length).toBeGreaterThan(0);
    expect(typeof paths[0]).toBe("string");
    expect(paths.every((path) => path.endsWith(".ts"))).toBe(true);
  });
  it("should return an empty array if no files match the pattern", async () => {
    const pattern = "*.docx";
    const paths = await _chunk4LQFWCWEcjs.filesAsync.call(void 0, { basePath: __dirname, pattern });
    expect(Array.isArray(paths)).toBe(true);
    expect(paths.length).toBe(0);
  });
  it("should return an array of file paths filtered by the custom filter function", async () => {
    const filter = (name) => name.includes("spec");
    const paths = await _chunk4LQFWCWEcjs.filesAsync.call(void 0, { basePath: __dirname, filter });
    expect(Array.isArray(paths)).toBe(true);
    expect(paths.length).toBeGreaterThan(0);
    expect(typeof paths[0]).toBe("string");
    expect(paths.every((path) => path.includes("spec"))).toBe(true);
  });
  it("should return an empty array if no files pass the custom filter function", async () => {
    const filter = (name) => name.includes("xyz");
    const paths = await _chunk4LQFWCWEcjs.filesAsync.call(void 0, { basePath: __dirname, filter });
    expect(Array.isArray(paths)).toBe(true);
    expect(paths.length).toBe(0);
  });
  it("should ignore hidden files by default", async () => {
    const paths = await _chunk4LQFWCWEcjs.filesAsync.call(void 0, { basePath: __dirname });
    expect(Array.isArray(paths)).toBe(true);
    expect(paths.every((path) => !path.includes("/."))).toBe(true);
  });
});
//# sourceMappingURL=files-async.spec.cjs.map