import {
  FileStorage
} from "../chunk-6XN4XZHF.js";
import "../chunk-X56GIAWQ.js";
import "../chunk-PN34O4SN.js";
import "../chunk-UOAPXGA4.js";
import "../chunk-EAYWSLQT.js";
import "../chunk-I7BWSAN6.js";

// src/node/filestorage.spec.ts
describe("fileStorage", () => {
  it("should store data and read it again", () => {
    {
      const db = new FileStorage();
      db.clear();
      expect(db.allKeys()).toEqual([]);
      db.setItem("a", 1);
      db.setItem("b", { complex: [1, 2, "3"] });
      db.setItem("c", [0, 9, 8]);
      db.setItem("c", "Again!");
      expect(db.allKeys()).toEqual(["a", "b", "c"]);
      expect(db.getItem("a")).toEqual(1);
      expect(db.getItem("b")).toEqual({ complex: [1, 2, "3"] });
      expect(db.getItem("c")).toEqual("Again!");
      expect(db.getItem("d")).toBe(void 0);
      expect(db.getItem("d")).toBe(void 0);
      db.setItem("e", "xxx");
      db.removeItem("e");
      expect(db.getItem("e")).toBe(void 0);
    }
    {
      const db = new FileStorage();
      expect(db.allKeys()).toEqual(["a", "b", "c"]);
      expect(db.getItem("a")).toEqual(1);
      expect(db.getItem("b")).toEqual({ complex: [1, 2, "3"] });
      expect(db.getItem("c")).toEqual("Again!");
      db.removeItem("b");
      expect(db.allKeys()).toEqual(["a", "c"]);
      db.clear();
      expect(db.allKeys()).toEqual([]);
    }
  });
});
//# sourceMappingURL=filestorage.spec.js.map